Bug 12033 - module autoload in stage1 is broken
: module autoload in stage1 is broken
Status: CLOSED FIXED
: ALT Linux Desktop
(All bugs in ALT Linux Desktop/installer)
: snapshot
: all Linux
: P2 major
Assigned To:
:
:
: qawanted
:
: 12100 14168 14491 19564
  Show dependency tree
 
Reported: 2007-06-13 19:39 by
Modified: 2009-12-06 12:54 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-06-13 19:39:15
В cd-20070609 в stage1 попал неполный набор драйверов IDE - отсутствует модуль
jmicron, куда в ядре 2.6.18-std-smp-alt6 была вынесена поддержка PATA-части
контроллеров JMicron (в предыдущих сборках она была в модуле generic).  Это
приводит к невозможности установки в случае, когда CD-привод с интерфейсом PATA
подключен к контроллеру JMicron (что в последнее время встречается довольно
часто, поскольку из последних вариантов чипсетов Intel исчезла поддержка PATA).

Кроме того, отсутствуют модули ahci, pata_marvell, которые тоже могут
потребоваться для доступа к CD в некоторых конфигурациях.

С другой стороны, непонятно, что в stage1 делает модули typhoon, radio-typhoon
(и вытягиваемые им модули compat_ioctl32 videodev v4l1-compat v4l2-common).
------- Comment #1 From 2007-07-01 15:26:58 -------
JMicron уже появился, про остальные - не проверял.
------- Comment #2 From 2007-07-08 19:25:31 -------
При установке cd-20070706 отсутствует драйвер сетевой карты Attansic. После
установки модуль становится доступным и можно настраивать сетевую карту.
------- Comment #3 From 2007-07-12 17:26:35 -------
fixed
------- Comment #4 From 2007-07-13 15:20:43 -------
Модуль ahci по-прежнему отсутствует (по крайней мере, в списках модулей из
git.alt:/people/boyarsh/packages/spt-profiles-desktop.git я его не вижу). В
результате невозможна установка с SATA DVD, подключенного к контроллеру AMD
SB600: http://lists.altlinux.org/pipermail/desktop/2007-July/001355.html
------- Comment #5 From 2007-07-13 15:30:49 -------
добавил..
------- Comment #6 From 2007-08-01 14:49:59 -------
fixed
------- Comment #7 From 2007-10-27 23:01:28 -------
Проверка lite-cd-20071025.iso на ASUS P5B Plus (после включения в BIOS режима
AHCI как для ICH8R, так и для Jmicron) показала, что проблема решена не
полностью: модуль ahci в stage1 есть (поэтому установка всё-таки возможна), но
автоматически не загружается - только после получения ошибки "No CD-ROM device
found" появляется список модулей, где можно выбрать ahci.ko вручную.

При этом в списке PCI-устройств есть даже не 1, а 2 устройства, обслуживаемых
модулем ahci:

00:1f.2 SATA controller [0106]: Intel Corporation 82801HR/HO/HH (ICH8R/DO/DH) 6
port SATA AHCI Controller [8086:2821] (rev 02) (prog-if 01 [AHCI 1.0])
    Subsystem: ASUSTeK Computer Inc. Unknown device [1043:81ec]
    Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping-
SERR- FastB2B-
    Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
    Latency: 0
    Interrupt: pin B routed to IRQ 225
    Region 0: I/O ports at ec00 [size=8]
    Region 1: I/O ports at e880 [size=4]
    Region 2: I/O ports at e800 [size=8]
    Region 3: I/O ports at e480 [size=4]
    Region 4: I/O ports at e400 [size=32]
    Region 5: Memory at febff800 (32-bit, non-prefetchable) [size=2K]
    Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/4
Enable+
        Address: fee00000  Data: 40e1
    Capabilities: [70] Power Management version 3
        Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot+,D3cold-)
        Status: D0 PME-Enable- DSel=0 DScale=0 PME-
    Capabilities: [a8] #12 [0010]


02:00.0 SATA controller [0106]: JMicron Technologies, Inc. JMicron 20360/20363
AHCI Controller [197b:2363] (rev 03) (prog-if 01 [AHCI 1.0])
    Subsystem: ASUSTeK Computer Inc. Unknown device [1043:81e4]
    Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping-
SERR- FastB2B-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
    Latency: 0, Cache Line Size: 32 bytes
    Interrupt: pin A routed to IRQ 169
    Region 5: Memory at fe8fe000 (32-bit, non-prefetchable) [size=8K]
    Expansion ROM at fe8e0000 [disabled] [size=64K]
    Capabilities: [68] Power Management version 2
        Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot+,D3cold-)
        Status: D0 PME-Enable- DSel=0 DScale=0 PME-
    Capabilities: [50] Express Legacy Endpoint IRQ 1
        Device: Supported: MaxPayload 128 bytes, PhantFunc 0, ExtTag-
        Device: Latency L0s <64ns, L1 <1us
        Device: AtnBtn- AtnInd- PwrInd-
        Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
        Device: RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
        Device: MaxPayload 128 bytes, MaxReadReq 512 bytes
        Link: Supported Speed 2.5Gb/s, Width x1, ASPM L0s, Port 1
        Link: Latency L0s <1us, L1 <16us
        Link: ASPM Disabled RCB 64 bytes CommClk+ ExtSynch-
        Link: Speed 2.5Gb/s, Width x1

Первое устройство есть в таблице PCI ID модуля ahci в явном виде
(pci:v00008086d00002821sv*sd*bc*sc*i*); для второго есть запись,
соответствующая
всем контроллерам AHCI от Jmicron (pci:v0000197Bd*sv*sd*bc01sc06i01*); оба
устройства в любом случае подпадают под запись pci:v*d*sv*sd*bc01sc06i01*
(класс
и progif для AHCI).
------- Comment #8 From 2007-12-31 15:18:07 -------
Антон,
эта бага так и не закрыта!
------- Comment #9 From 2008-01-26 12:59:44 -------
https://lists.altlinux.org/pipermail/hardware/2008-January/012321.html --
поскольку неприятная мелочь, которая скорее всего попала и в Server 4.0.1 --
вешаю блокер на #14168.  Если подтвердится, просьба заменить на блокирование #14167.
------- Comment #10 From 2008-01-27 23:45:31 -------
Bug #13879 - модуль ata_piix тоже не загружается автоматически.
------- Comment #11 From 2008-01-28 17:50:13 -------
Такого железа нет, но на днях было похожее при установке Server 4.0.1 c USB
CD-ROM'а. Сообщило, что "CD-ROM not found" и предложило руками выбрать модуль.
Я
выбрал cdrom.ko и все поехало. Вывод lspci не знаю, нужен ли, тем более, что
сервер уже в стойке, и сам CD-ROM уже не подключен.
------- Comment #12 From 2008-01-28 18:21:50 -------
(In reply to comment #11)
> Такого железа нет, но на днях было похожее при установке Server 4.0.1 c USB
> CD-ROM'а. Сообщило, что "CD-ROM not found" и предложило руками выбрать модуль.

Это несколько другая ситуация - вероятнее всего, просто не хватило времени на
обнаружение устройства (в модуле usb-storage сейчас добавляется задержка на 5
секунд для обхода кривых устройств, плюс возможные тормоза в прочих местах).
Проблема в том, что не загружаются автоматически драйверы для PCI-устройств.
------- Comment #13 From 2008-02-22 23:10:47 -------
Помнишь, мы это же у вас на стенде ловили -- давай поправим?
У меня проверить не на чем.
------- Comment #14 From 2008-02-22 23:12:38 -------
перевешиваю (компоненты mkimage-profiles-desktop в Branch 4.0 почему-то нет)
------- Comment #15 From 2008-02-22 23:43:57 -------
TWIMC: я планирую в недалёком будущем добавить в stage1 udev вместо
нынешнего заката солнца вручную.
------- Comment #16 From 2008-07-16 08:18:07 -------
На ecs gs7610 Не видит ни Sata-DVD, ни sata-hdd. Плата конечно ерунда, но все
же не могу установить ALTD 4.0.2
------- Comment #17 From 2008-07-16 20:42:35 -------
Если есть возможность -- попробуйте 4.0.3.
------- Comment #18 From 2008-07-24 08:55:06 -------
(In reply to comment #17)
> Если есть возможность -- попробуйте 4.0.3.
> 

К сожалению нет. Пробовал school-20080611-linux-lite-i586-install-cd.iso, та же
проблема. Возможно ли скачать только инсталлер 4.0.3?
------- Comment #19 From 2008-07-25 10:56:43 -------
altlinux-4.0.3-desktop-i586-rescue-cd.iso Та же самая проблема. Не видит ни
cdrom, ни hdd.
------- Comment #20 From 2008-07-25 14:25:00 -------
(In reply to comment #19)
> altlinux-4.0.3-desktop-i586-rescue-cd.iso Та же самая проблема. Не видит ни cdrom, ни hdd.
> 
Попробуйте, пожалуйста последние альфы desktop 4.1 (
ftp://beta.altlinux.ru/desktop ) Сегодня, вероятно, будет новая
------- Comment #21 From 2008-07-25 16:32:32 -------
Скачал altlinux-4.1.0-alpha-20080711-desktop-i586-ru-rescue.iso новее не было.
Лучше уже, пишет название ДВД, но дальше:
Trying to access ...
Неможет предлагает повторить, отменить или назад нажимая на любую кнопку
результат один:
trying to access ...
Если поможет...
alt+f3:
mounting /dev/sr0 on /image as type iso9660
have to insmod isofs
succeeded isofs
mount failed: No media found
alt+f4:
<6>sr0: disc change detected
<6>ata4.00: exception Emask 0x100 SAct 0x0 SErr 0x0 action 0x6
<6>ata4: hard resetting link
<6>ata4: Sata link up 1.5 Gbps (SStatus 113 SControl 300)
<6>ata4.00: Configured for UDMA/100
<6>ata4: EH complete
------- Comment #22 From 2008-07-30 19:42:59 -------
Сейчас есть 20080729, но непохоже, что там трогали propagator.
------- Comment #23 From 2008-12-24 09:16:36 -------
Подтверждаю - не смог установить знакомому по этой же причине, приводы PATA-DVD
висят на jMocron:
http://lists.altlinux.org/pipermail/hardware/2008-November/014295.html
Кроме того -
http://forum.altlinux.org/index.php/topic,743.msg20330.html#msg20330
------- Comment #24 From 2009-01-06 18:38:32 -------
В общую копилку:

наши инсталляторы (например, от ALTLinux-Desktop-4.1.0-x86_64) игнорируют
PATA-приводы на контроллере ITE 8213, потому что у инсталлятора нет модуля
pata_it8213.


04:07.0 IDE interface: Integrated Technology Express, Inc. Device 8213 

А вот Мандрива 2009 вполне на такую машину ставится, цитата lsmod оттуда:

pata_it8213             9732  4

Более подробно см. на форуме
http://forum.altlinux.org/index.php/topic,1627.0.html
------- Comment #25 From 2009-01-11 19:26:07 -------
В ядре модуль есть, вопрос к конфигу mkimage
------- Comment #26 From 2009-02-25 01:47:29 -------
Что с этим багом?
------- Comment #27 From 2009-02-25 16:15:14 -------
(В ответ на комментарий №26)
> Что с этим багом?

pata_it8213 добавил, jmicron и pata_marvell там с незапамятных времён..
------- Comment #28 From 2009-02-25 17:40:20 -------
(В ответ на комментарий №27)
> pata_it8213 добавил, jmicron и pata_marvell там с незапамятных времён..

Да, блин, с незапамятных. 4.0 на машину с jmicron ставится, 4.1 и выше - нет,
не нахоидт CD-привода PATA, который через эту хрень висит.
------- Comment #29 From 2009-02-26 09:12:07 -------
На ecs gs7610 пробовал 5.0 первую пребету, тоже самое.
------- Comment #32 From 2009-06-08 14:29:12 -------
Модули в конфигк mkimage есть, остальное к ядру и пропагатору.

Однако, на имеющемся у нас jmicron, насколько я знаю, всё ставится без проблем.
------- Comment #33 From 2009-06-08 19:58:36 -------
(В ответ на комментарий №32)
> Однако, на имеющемся у нас jmicron, насколько я знаю, всё ставится без проблем.

При условии что привод PATA?
------- Comment #34 From 2009-07-01 23:48:36 -------
(В ответ на комментарий №33)
> (В ответ на комментарий №32)
> > Однако, на имеющемся у нас jmicron, насколько я знаю, всё ставится без проблем.
> 
> При условии что привод PATA?

Может ли кто-нибудь подтвердить эту ошибку на текущих бетах?
Если да, -- пожалуйста, опишите подробнее.
------- Comment #35 From 2009-07-19 04:30:08 -------
Закрывать?
------- Comment #36 From 2009-08-11 02:44:30 -------
Закрываю и предлагаю вешать баги про конкретное железо, так будет проще.
См. также #20796, она пока открыта.

Но, конечно, можно и эту переоткрыть, она такая привычная для всех.
------- Comment #37 From 2009-12-06 12:54:01 -------
В общем, исправлена.